# Update Customer Information

Update an existing customer account information by providing the unique `id` or `customerID` of the customer account you want to update to request body. \
\
The `id` of the customer is the GUID returned when creating a customer or when running the [Search Account](/udara360-docs-1/account/editor/search-account.md) API request. This `id` is different from the 8-digit Customer ID.

<mark style="color:orange;">`PUT`</mark> `/api/account/v1/UpdateCustomerInformation`

{% hint style="warning" %}
Other fields are optional, allowing for a partial update. If optional fields are not included in the payload or are passed as null, they will not be updated.
{% endhint %}

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body Parameters**

<table><thead><tr><th width="186">Name</th><th width="175">Data Type (length)</th><th width="102" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>true</td><td>Unique identifier for the customer's account (GUID format)</td></tr><tr><td><code>customerID</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(8)</em></a></td><td>true</td><td>The unique 8 digit customer ID of the customer's account</td></tr><tr><td><code>firstName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Customer's first name</td></tr><tr><td><code>lastName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Customer's last name or surname</td></tr><tr><td><code>otherNames</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>The customer's other names</td></tr><tr><td><code>gender</code></td><td>integer</td><td>false</td><td><p>The customer's gender.</p><p>The enumerations are: </p><p><code>1</code> = Female,</p><p><code>2</code> = Male</p></td></tr><tr><td><code>title</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(20)</em></a></td><td>false</td><td>Customer's title (e.g., Mr, Mrs, Miss) </td></tr><tr><td><code>address</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(300)</em></a></td><td>false</td><td>The customer's residential address</td></tr><tr><td><code>maritalStatus</code></td><td>integer</td><td>false</td><td><p>The customer's marital status. The enumerations are: </p><p><code>1</code> = Married,</p><p><code>2</code> = Single,<br><code>3</code> = Divorced,<br><code>4</code> = Widow,<br><code>5</code> = Widower</p></td></tr><tr><td><code>maidenName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>The customer's maiden name (if applicable)</td></tr><tr><td><code>religion</code></td><td>integer</td><td>false</td><td><p>The customer's religion. <br>The enumerations are: </p><p><code>1</code> = Christianity,</p><p><code>2</code> = Islamic,<br><code>3</code> = Others</p></td></tr><tr><td><code>phoneNumber</code></td><td>string  <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Customer's phone number. </td></tr><tr><td><code>email</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Customer's email address</td></tr><tr><td><code>hometown</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Customer's hometown</td></tr><tr><td><code>dateOfBirth</code></td><td>Date</td><td>false</td><td>The customer's Date of birth. The format should be <code>YYYY</code>-<code>MM</code>-<code>DD</code> (e.g., <code>2025</code>-<code>30</code>-<code>12</code>)</td></tr><tr><td><code>nationality</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Customer's nationality</td></tr><tr><td><code>state</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Customer's state of origin</td></tr><tr><td><code>lga</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(200)</em></a></td><td>false</td><td>Local government area</td></tr><tr><td><code>meansOfIdentification</code></td><td>integer</td><td>false</td><td><p>Means of identification (e.g., 1 for ID card)<br>The enumerations are: </p><p><code>1</code> = Drivers License,</p><p><code>2</code> = Voters Card,<br><code>3</code> = International Passport</p></td></tr><tr><td><code>meansOfIdentificationNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>ID number of the chosen identification</td></tr><tr><td><code>nokName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Next of kin's full name</td></tr><tr><td><code>nokAddress</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Next of kin's residential address</td></tr><tr><td><code>nokGender</code></td><td>integer</td><td>false</td><td><p>Next of kin's gender.<br>The enumerations are: </p><p><code>1</code> = Female,</p><p><code>2</code> = Male</p></td></tr><tr><td><code>nokRelationship</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Relationship to next of kin (e.g., Sister, Brother, Mother...)</td></tr><tr><td><code>nokPhoneNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Next of kin's phone number</td></tr><tr><td><code>nokEmail</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Next of kin's email address</td></tr><tr><td><code>occupation</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Customer's occupation</td></tr><tr><td><code>employerName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Employer's name</td></tr><tr><td><code>employerAddress</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(300)</em></a></td><td>false</td><td>Employer's residential address</td></tr><tr><td><code>officePhoneNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>The customer's office phone number</td></tr><tr><td><code>accountName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(250)</em></a></td><td>false</td><td>The customer's account name</td></tr><tr><td><code>accountType</code></td><td>integer</td><td>false</td><td><p>Type of account. <br><br>The enumerations are: </p><p><code>1</code> = Saving (Default),</p><p><code>2</code> = Current</p></td></tr><tr><td><code>accountStatus</code></td><td>integer</td><td>false</td><td><p>Status of the account.<br><br>The enumerations are: </p><p><code>1</code> = Active (Default),</p><p><code>2</code> = Dormant,<br><code>3</code> = Closed,<br><code>4</code> = PND (Post No Debit),<br><code>5</code> = PNC (Post No Credit),<br><code>6</code> = Inactive,<br><code>7</code> = Frozen<br></p></td></tr><tr><td><code>branchCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>false</td><td>The customer's bank account branch code. <br><br><em><mark style="color:orange;">The branch code must be active and exist on the CBA Portal.</mark></em></td></tr><tr><td><code>productCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>false</td><td>The customer's savings/current account product code.<br><br><em><mark style="color:orange;">The product code must be active and exist on the CBA Portal.</mark></em></td></tr><tr><td><code>accountOfficerStaffID</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>false</td><td>Account officer's staff ID. <br><br><em><mark style="color:orange;">The account officer code must be active and exist on the CBA Portal. CBA setup already comes with a default account officer if you don't have one.</mark></em></td></tr><tr><td><code>accountTierLevel</code></td><td>integer</td><td>false</td><td><p>Account tier level.<br><br>The enumerations are: </p><p><code>1</code> = Tier 1 (default),</p><p><code>2</code> = Tier 2,<br><code>3</code> = Tier 3</p></td></tr><tr><td><code>accessLevel</code></td><td>integer</td><td>false</td><td>The customer's access level enables restriction of balance and transaction amounts when viewed by users with lower access levels on the CBA portal.<br><br><em>Access levels range from <code>1</code> to <code>5</code></em> </td></tr><tr><td><code>enableEmailNotification</code></td><td>boolean</td><td>false</td><td>This enable the system to send email notifications to customers</td></tr><tr><td><code>enableSMSNotification</code></td><td>boolean</td><td>false</td><td>This enable the system to send SMS notifications to customers</td></tr><tr><td><code>minimumBalanceRequired</code></td><td>integer</td><td>false</td><td>Minimum balance required.<br><br><em>The product settings will apply if not supplied.</em></td></tr><tr><td><code>referee1CustomerID</code></td><td>string</td><td>false</td><td>Referee 1's customer ID: This is an individual customer's ID already in the system.</td></tr><tr><td><code>referee2CustomerID</code></td><td>string</td><td>false</td><td>Referee 2's customer ID: This is an individual customer's ID already in the system.</td></tr><tr><td><code>categoryOfAccount</code></td><td>String</td><td>false</td><td><p>Category of account.<br><br>The enumerations are: </p><p><code>1</code> = Bank Staff,</p><p><code>2</code> = Bank Director,<br><code>3</code> = Other Customers,<br><code>4</code> = Private,<br><code>5</code> = Public</p></td></tr><tr><td><code>sectorCode</code></td><td>string</td><td>false</td><td><p>Sector code of customer's work type. <br><br>The enumerations are: </p><p>40100 = Agriculture, Forestry, and Fishing </p><p>40200 = Mining and Quarrying 40300 = Manufacturing </p><p>40500 = Real Estate Activities 40700 = General Commerce 40800 = Transportation and Storage </p><p>40900 = Finance and Insurance 41000 = General </p><p>41200 = Governments </p><p>41300 = Water Supply, Sewage, Waste Management, and Remediation Activities </p><p>41400 = Construction </p><p>41500 = Information and Communication </p><p>41600 = Professional, Scientific, and Technical Activities </p><p>41700 = Administrative and Support Service Activities </p><p>41800 = Education </p><p>41900 = Human Health and Social Work Activities </p><p>42000 = Arts, Entertainment, and Recreation</p><p>42100 = Activities of Extra-Territorial Organizations and Bodies </p><p>42200 = Power and Energy 42300 = Capital Market </p><p>42400 = Oil and Gas</p></td></tr><tr><td><code>tin</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>false</td><td>Tax Identification Number (TIN)</td></tr><tr><td><code>pep</code></td><td>boolean</td><td>false</td><td>Politically Exposed Person (PEP). Set <code>True</code> for yes and <code>False</code> for now. </td></tr><tr><td> <code>bvn</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>Bank Verification Number (BVN)</td></tr><tr><td><code>nin</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>National Idenfication Number</td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g --request PUT '{{baseurl}}/api/account/v1/UpdateCustomerInformation' \
--header 'Content-Type: application/json' \
--header 'Authorization: bearer ' \
--header 'request-reference;' \
--data-raw '{
    "customerID": "00002120",
    "id": "ae6f8e44-c80b-4cb9-8c6b-745bbba223bf",
    "title": "MRS",
    "lastName": "Dawson",
    "firstName": "Helen",
    "otherNames": "kalu",
    "Gender": 1,
    "address": "1 Akinjobi Street, Ketu",
    "maidenName": "",
    "religion": 1,
    "phoneNumber": "09011142299",
    "email": "Dawson.Helen@gmail.com",
    "hometown": "Lekki",
    "dateOfBirth": "2001-01-01",
    "nationality": "Nigerian",
    "state": "Lagos",
    "lga": "Eyi-Osa",
    "meansOfIdentification": 1,
    "meansOfIdentificationNumber": "8474387461",
    "nokName": "",
    "nokAddress": "",
    "nokGender": 1,
    "nokRelationship": "Brother",
    "nokPhoneNumber": "09062356377",
    "nokEmail": "",
    "occupation": "",
    "employerName": "",
    "employerAddress": "",
    "officePhoneNumber": "",
    "accountName": "Olufemi Adebayo",
    "accountType": 1,
    "MaritalStatus": 1,
    "accountStatus": 1,
    "branchCode": "101",
    "productCode": "301",
    "accountOfficerStaffID": "ST1311",
    "accountTierLevel": 3,
    "accessLevel": 5,
    "enableEmailNotification": true,
    "enableSMSNotification": true,
    "minimumBalanceRequired": 0,
    "referee1CustomerID": "",
    "referee2CustomerID": "",
    "categoryOfAccount": "",
    "sectorCode": "",
    "tin": "0985674395",
    "pep": true,
    "bvn": "22237461166"
}'
```

</details>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": true,
  "message": "string",
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountNumber": "string",
    "customerID": "string",
    "customerInformationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "documentIdentifier": "string"
  }
}
```

{% endtab %}
{% endtabs %}

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/customer/customer-api/update-customer-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
